FIDO_INIT(3)

NAME
fido_init - initialise the FIDO 2 library

SYNOPSIS
#include <fido.h>
void
fido_init(int flags);

DESCRIPTION
The fido_init() function initialises the libfido2 library. Its invocation must precede that of any other libfido2 function in the context of the executing thread.

If FIDO_DEBUG is set in flags, then debug output will be emitted by libfido2 on stderr. Alternatively, the FIDO_DEBUG environment variable may be set.

If FIDO_DISABLE_U2F_FALLBACK is set in flags, then libfido2 will not fallback to U2F in fido_dev_open(3) if a device claims to be FIDO2 but fails to respond to a FIDO2 command.

SEE ALSO
fido_assert_new(3), fido_cred_new(3), fido_dev_info_manifest(3), fido_dev_open(3)